Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 125492
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Default Assignee for Orphaned Packages <maintainer-needed@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Steven Price <stevenprice@fastmail.co.uk>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
vigra-1.4.0.ebuild vigra-1.4.0.ebuild text/plain Christian Schlotter 2006-10-13 04:04 0000 933 bytes Details
vigra-1.4.0.ebuild vigra-1.4.0.ebuild text/plain Christian Schlotter 2006-10-13 04:26 0000 931 bytes Details
vigra-1.5.0.ebuild vigra-1.5.0.ebuild text/plain Christian Schlotter 2006-10-13 06:23 0000 1.02 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 125492 depends on: Show dependency tree
Bug 125492 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2006-03-08 08:53 0000
The VIGRA image package is available as version 1.4.0.

It compiles cleanly on my x86 machine.

Portage 2.0.54 (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.5-r2, 2.6.15.1
i686)
=================================================================
System uname: 2.6.15.1 i686 AMD Athlon(tm) Processor
Gentoo Base System version 1.6.14
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632)
[disabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mtune=athlon"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.3/env
/usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/
/usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/
/usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mtune=athlon"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://www.mirror.ac.uk/mirror/distro.ibiblio.org/pub/linux/distributions/gentoo/
http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/
http://gentoo.blueyonder.co.uk"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aac aalib alsa apache2 apm arts audiofile avi
berkdb bitmap-fonts bzip2 cdb cdr cli crypt cups curl dba directfb dri dts dvb
dvd eds emacs emboss encode esd exif expat fam fbcon ffmpeg firefox foomaticdb
fortran gcj gd gdbm gif glut gmp gnome gpm gstreamer gtk gtk2 gtkhtml idn
imagemagick imlib java jpeg junit lcms libg++ libwww lirc mad mailwrapper math
mbrola mhash mikmod ming mmx mmxext mng motif mp3 mpeg mysql ncurses netboot
network nls no-htdocs nptl nvidia ogg opengl oss pam pcre pdflib perl php png
python qt quicktime readline samba sdl session spell ssl sysfs tcltk tcpd tetex
tiff timidity truetype truetype-fonts type1-fonts udev usb v4l vorbis xinerama
xml xml2 xmms xv xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS

------- Comment #1 From Christian Schlotter 2006-10-13 04:04:30 0000 -------
Created an attachment (id=99520) [details]
vigra-1.4.0.ebuild

Please find attached an improved ebuild with USE flags doc fftw jpeg png tiff
zlib, which should all be enabled by default.

--- /usr/portage/media-libs/vigra/vigra-1.3.2.ebuild    2006-09-10
02:36:03.000000000 +0200
+++ vigra-1.4.0.ebuild  2006-10-13 12:42:30.000000000 +0200
@@ -1,6 +1,6 @@
 # Copyright 1999-2006 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/vigra/vigra-1.3.2.ebuild,v 1.2
2006/09/10 00:29:45 ticho Exp $
+# $Header: $

 DESCRIPTION="Vision with Generic Algorithms"
 HOMEPAGE="http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra"
@@ -8,26 +8,33 @@

 LICENSE="VIGRA"
 SLOT="0"
-KEYWORDS="x86 ~ppc ~amd64"
-IUSE=""
+KEYWORDS="~x86"
+IUSE="doc fftw jpeg png tiff zlib"

 DEPEND="sys-devel/gcc
-               media-libs/libpng
-               media-libs/tiff
-               media-libs/jpeg
-               sys-libs/zlib
-               sci-libs/fftw"
+       png? ( media-libs/libpng )
+       tiff? ( media-libs/tiff )
+       jpeg? ( media-libs/jpeg )
+       zlib? ( sys-libs/zlib )
+       fftw? ( sci-libs/fftw )"

 S=${WORKDIR}/${P/-}
+MY_PREFIX=/usr

 src_compile() {
        ./configure \
-               --host=${CHOST} \
-               --prefix=/usr || die "./configure failed"
-       emake || die
+               --prefix=${MY_PREFIX} \
+               --docdir=${D}/${MY_PREFIX}/doc/${P} \
+               $(use_with png) \
+               $(use_with tiff) \
+               $(use_with jpeg) \
+               $(use_with zlib) \
+               $(use_with fftw) \
+       || die "econf failed"
+       emake || die "emake failed"
 }

 src_install() {
-       make DESTDIR=${D} prefix=${D}/usr install || die
+       einstall || die "einstall failed"
+       use doc || rm -Rf ${D}/${MY_PREFIX}/doc
 }
-

------- Comment #2 From Christian Schlotter 2006-10-13 04:26:01 0000 -------
Created an attachment (id=99524) [details]
vigra-1.4.0.ebuild

LICENSE change.  Vigra switched to MIT X11 license.

--- vigra-1.4.0.ebuild~ 2006-10-13 12:42:30.000000000 +0200
+++ vigra-1.4.0.ebuild  2006-10-13 13:25:02.000000000 +0200
@@ -6,7 +6,7 @@
 HOMEPAGE="http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra"

SRC_URI="http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/${P/-}.tar.gz"

-LICENSE="VIGRA"
+LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~x86"
 IUSE="doc fftw jpeg png tiff zlib"

------- Comment #3 From Christian Schlotter 2006-10-13 06:23:22 0000 -------
Created an attachment (id=99531) [details]
vigra-1.4.0.ebuild

I read the common ebuild mistakes guide...

--- vigra-1.4.0.ebuild~ 2006-10-13 15:21:47.000000000 +0200
+++ vigra-1.4.0.ebuild  2006-10-13 15:22:12.000000000 +0200
@@ -11,20 +11,24 @@
 KEYWORDS="~x86"
 IUSE="doc fftw jpeg png tiff zlib"

-DEPEND="sys-devel/gcc
+RDEPEND=">=sys-devel/gcc-2.95.3
        png? ( media-libs/libpng )
        tiff? ( media-libs/tiff )
        jpeg? ( media-libs/jpeg )
        zlib? ( sys-libs/zlib )
-       fftw? ( sci-libs/fftw )"
+       fftw? ( >=sci-libs/fftw-3 )"
+DEPEND="${RDEPEND}
+       sys-devel/libtool
+       dev-util/pkgconfig"

 S=${WORKDIR}/${P/-}
 MY_PREFIX=/usr
+MY_DOCDIR=${MY_PREFIX}/share/doc/${PF}

 src_compile() {
        ./configure \
                --prefix=${MY_PREFIX} \
-               --docdir=${D}/${MY_PREFIX}/doc/${P} \
+               --docdir=${D}/${MY_DOCDIR} \
                $(use_with png) \
                $(use_with tiff) \
                $(use_with jpeg) \
@@ -36,5 +40,6 @@

 src_install() {
        einstall || die "einstall failed"
-       use doc || rm -Rf ${D}/${MY_PREFIX}/doc
+       use doc || rm -Rf ${D}/${MY_DOCDIR}
+       dodoc ${S}/README
 }

------- Comment #4 From Christian Schlotter 2006-12-10 14:22:17 0000 -------
VIGRA 1.5.0 was released on Dec 7th, 2006.

Renaming the attached ebuild was sufficient.

------- Comment #5 From Christian Schlotter 2007-01-13 12:35:53 0000 -------
This is now in the sunrise overlay. You can find it at:
http://www.gentoo-sunrise.org/sunrise/browser/portage-review/media-libs/vigra

------- Comment #6 From Charlie Shepherd (RETIRED) 2007-01-13 14:00:51 0000 -------
Fixed in CVS, thanks

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug